On Wed, 2 Feb 2005 08:20:18 +0900, listaction
<listaction / dirtcitysons.com> wrote:

> I'm having difficulties trying to install mysql-ruby-2.5.1 on OS X and am
> hoping someone can help me.
> 
> The problem occurs when running:
> ruby extconf.rb (with seemingly any combination of options)
> 
> The details are below, thanks very much for any help!

OK, Matt, I really, *really* hate asking this question, but: Do you
have the Apple Developer tools installed?

The reason I'm asking is that, buried in the mkmf.log contents that
you posted, I see several occurrences of:

    sh: line 1: gcc: command not found

and "gcc" is the GNU C/C++ compiler. That's not part of the standard
Mac OS X install, but it is part of the freely available developer
tools. A CD-ROM with this software may have come with your Mac;
otherwise, you'll need to download it from Apple's "Developer
Connection" site.

Hope this helps,

Lyle